"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("mz/fs");
const path_1 = require("path");
const __1 = require("..");
function diskUsage(dir) {
    return __1.wait(fs.readdir(dir)).reduce((size, name) => {
        const sub = path_1.join(dir, name);
        const stat = __1.wait(fs.stat(sub));
        if (stat.isDirectory())
            return size + diskUsage(sub);
        else if (stat.isFile())
            return size + stat.size;
        else
            return size;
    }, 0);
}
function printDiskUsage(dir) {
    console.log(`${dir}: ${diskUsage(dir)}`);
}
__1.run(() => printDiskUsage(process.cwd())).catch(err => {
    console.error(err.stack);
});
//# sourceMappingURL=disk-usage.js.map